var J = Object.defineProperty;
var G = (t, n, s) => n in t ? J(t, n, { enumerable: !0, configurable: !0, writable: !0, value: s }) : t[n] = s;
var v = (t, n, s) => (G(t, typeof n != "symbol" ? n + "" : n, s), s);
import { PluginStaticResource as Q, ViewMode as X } from "@ibiz-template/runtime";
import { ref as C, watch as M, defineComponent as D, getCurrentInstance as V, computed as A, onMounted as z, h as a, toRefs as F, reactive as Z, nextTick as $, toRef as ee } from "vue";
import { useRouter as B, useRoute as te, useIndexViewController as se, useNamespace as S, useControlController as ae, usePropsWatch as ne, useListController as re, useListExpViewController as oe, useRouteKey as ie, getUploadProps as le, getEditorEmits as ce, useMPickupViewController as de, useTreeController as ue } from "@ibiz-template/vue-util";
import { createUUID as R } from "qx-util";
import { IndexViewModel as pe, PortletPartModel as he, ViewPortletModel as me, ListModel as U, TreeModel as fe } from "@ibiz-template/model";
import j from "dayjs";
import { CustomPortletController as ge, ViewPortletController as ye, EditFormController as ve, ListController as xe, UploadEditorController as Ce, FormMDCtrlController as be } from "@ibiz-template/controller";
import { init as H, registerMap as ke } from "echarts";
import { mergeDeepRight as we } from "ramda";
import { Treeselect as Pe } from "@riophae/vue-treeselect";
const E = new Q(import.meta.url);
class De {
  constructor() {
    v(this, "component", "UserIndexView");
  }
}
const Se = (t) => {
  const { view2: n, params2: s, params1: e } = t.params;
  if (!n)
    return "";
  let o = s.replace(
    new RegExp(";srfnav=[^;=]*$|(?<=;)srfnav=[^;=]*;|^srfnav=[^;=]*;|^srfnav=[^;=]*$", "g"),
    ""
  );
  return o = o || ibiz.env.routePlaceholder, `/${e}/${n}/${o}`;
}, qe = (t) => {
  const { view1: n, appContext: s } = t.params;
  return `/${s}/${n}/${ibiz.env.routePlaceholder}`;
};
function _e(t, n) {
  const s = B(t), e = C(""), o = C(""), r = C([]), d = C([]), g = (h) => {
    h.forEach((u) => {
      const c = r.value.indexOf(u);
      if (c !== -1) {
        r.value.splice(c, 1);
        const l = d.value.findIndex((m) => m.key === u);
        d.value.splice(l, 1);
      }
    });
  };
  return M(
    e,
    (h, u) => {
      if (h !== u && h) {
        const c = r.value.indexOf(h);
        c === -1 || r.value.splice(c, 1), r.value.unshift(h);
      }
    },
    { immediate: !0 }
  ), M(
    () => t.$route.path,
    (h, u) => {
      if (h !== u) {
        const c = te(t);
        e.value = Se(c), o.value = qe(c);
        const l = d.value.find(
          (m) => m.key === e.value
        );
        if (l)
          l.fullPath = c.fullPath;
        else {
          if (h === o.value)
            return;
          d.value.push({
            key: e.value,
            fullPath: c.fullPath,
            modelPath: "",
            caption: ""
          });
        }
      }
    },
    { deep: !0, immediate: !0 }
  ), {
    currentKey: e,
    keyHistory: r,
    routeMsgs: d,
    updateRouteMsg: (h, u) => {
      const c = d.value.find((l) => l.key === e.value);
      c && (u.caption && (c.caption = u.caption), u.modelPath && (c.modelPath = u.modelPath));
    },
    closeView: (h = e.value) => {
      g([h]);
      const u = r.value[0];
      if (!u)
        n.model.source.blankMode ? (window.callback && window.callback(), window.close()) : (e.value = "", s.push(o.value));
      else {
        const c = d.value.find((l) => l.key === u);
        s.push(c.fullPath);
      }
    },
    deleteRouteCache: g
  };
}
const Me = /* @__PURE__ */ D({
  __name: "index-view",
  props: {
    context: null,
    params: { default: () => ({}) },
    modelPath: null
  },
  setup(t) {
    const n = t, { proxy: s } = V(), e = se(s, n.modelPath), o = !1;
    let r = null, d = null, g = () => {
    }, i = null, p = null, h = null, u = null, c = null, l, m, y, f;
    const b = C(R());
    {
      const {
        currentKey: q,
        keyHistory: x,
        routeMsgs: w,
        updateRouteMsg: k,
        closeView: N,
        deleteRouteCache: L
      } = _e(s, e);
      m = q, y = x, f = w, i = L, r = (P) => {
        const _ = m.value;
        P.evt.on("closeView", () => {
          N(_);
        }), P.evt.on("setTitle", (I) => {
          k(_, { caption: I });
        });
      }, d = (P) => {
        k(m.value, P);
      }, g = () => {
        i(y.value.slice(1)), b.value = R();
      }, window.onpopstate = () => {
        i([y.value[1]]);
      }, l = A(() => {
        const P = f.value.find(
          (_) => _.key === m.value
        );
        return (P == null ? void 0 : P.modelPath) || "";
      });
    }
    return z(() => {
      setTimeout(() => {
        const q = document.querySelector(".app-loading-x");
        q && (q.style.display = "none");
      }, 300);
    }), { __sfc: !0, props: n, proxy: s, c: e, isShowTabPageExp: o, onCreated: r, onViewFound: d, onMenuRouteChange: g, deleteRouteCache: i, handleTabClick: p, handleTabDelete: h, handleCloseAll: u, handleCloseOther: c, currentPath: l, currentKey: m, keyHistory: y, routeMsgs: f, appKeepAliveKey: b, collapseChange: (q) => {
      e.collapseChange = q;
    } };
  }
});
function Ee(t, n, s, e, o, r, d, g) {
  var i = typeof t == "function" ? t.options : t;
  n && (i.render = n, i.staticRenderFns = s, i._compiled = !0), e && (i.functional = !0), r && (i._scopeId = "data-v-" + r);
  var p;
  if (d ? (p = function(c) {
    c = c || this.$vnode && this.$vnode.ssrContext || this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext, !c && typeof __VUE_SSR_CONTEXT__ < "u" && (c = __VUE_SSR_CONTEXT__), o && o.call(this, c), c && c._registeredComponents && c._registeredComponents.add(d);
  }, i._ssrRegister = p) : o && (p = g ? function() {
    o.call(
      this,
      (i.functional ? this.parent : this).$root.$options.shadowRoot
    );
  } : o), p)
    if (i.functional) {
      i._injectStyles = p;
      var h = i.render;
      i.render = function(l, m) {
        return p.call(m), h(l, m);
      };
    } else {
      var u = i.beforeCreate;
      i.beforeCreate = u ? [].concat(u, p) : [p];
    }
  return {
    exports: t,
    options: i
  };
}
var Ie = function() {
  var n = this, s = n._self._c, e = n._self._setupProxy;
  return s("UserAppLayout", { attrs: { "is-complete": e.c.complete, model: e.c.model, "is-show-tab-page-exp": e.isShowTabPageExp }, on: { onCollapseChange: e.collapseChange } }, [e.c.complete ? [e.c.complete ? s("app-menu", { attrs: { slot: "menu", "current-path": e.currentPath, "model-data": e.c.model.appMenu, context: e.c.context, "collapse-change": e.c.collapseChange }, on: { menuRouteChange: e.onMenuRouteChange }, slot: "menu" }) : n._e(), e.isShowTabPageExp ? s("user-tab-page-exp", { attrs: { slot: "tabPageExp", "route-msgs": e.routeMsgs, "current-key": e.currentKey }, on: { "tab-click": e.handleTabClick, "tab-delete": e.handleTabDelete, "close-all": e.handleCloseAll, "close-other": e.handleCloseOther }, slot: "tabPageExp" }) : n._e(), e.isShowTabPageExp ? s("AppKeepAlive", { attrs: { "key-list": e.keyHistory } }, [s("router-view", { key: e.currentKey, on: { neuronInit: e.onCreated, viewFound: e.onViewFound } })], 1) : s("AppKeepAlive", { key: e.appKeepAliveKey, attrs: { "key-list": e.keyHistory } }, [s("router-view", { key: e.currentKey, on: { neuronInit: e.onCreated, viewFound: e.onViewFound } })], 1)] : n._e()], 2);
}, Ve = [], Te = /* @__PURE__ */ Ee(
  Me,
  Ie,
  Ve,
  !1,
  null,
  null,
  null,
  null
);
const ze = Te.exports;
function Le(t, n) {
  return a("div", {
    class: t.e("logo")
  }, [a("img", {
    class: t.e("logo-img"),
    attrs: {
      src: E.dir("/assets/img/jh.png")
    }
  }), a("div", {
    class: t.e("logo-caption")
  }, [n.caption])]);
}
const Oe = D({
  name: "UserAppLayout",
  props: {
    model: {
      type: pe,
      required: !0
    },
    isComplete: {
      type: Boolean,
      default: !1
    },
    isShowTabPageExp: {
      type: Boolean,
      default: !1
    }
  },
  setup(t, {
    emit: n,
    slots: s
  }) {
    var y;
    const e = S("layout"), o = C(!1), r = () => {
      o.value = !o.value, n("onCollapseChange", o.value);
    }, d = A(() => t.model.source.blankMode === !0), g = async () => {
      var b;
      const f = (b = s.menu) == null ? void 0 : b.call(s)[0].componentInstance;
      f && f.c && await f.c.onClickMenuItem("menuitem46");
    }, {
      srfusername: i = "\u6E38\u5BA2",
      srforgsectorname: p
    } = ((y = ibiz.appData) == null ? void 0 : y.context) || {}, {
      proxy: h
    } = V(), u = B(h), c = async () => {
      (await ibiz.auth.v7logout()).ok ? (ibiz.message.success("\u767B\u51FA\u6210\u529F"), u.push(`/login?ru=${encodeURIComponent(window.location.hash.replace("#/", "/"))}`)) : ibiz.message.error("\u767B\u51FA\u5931\u8D25");
    }, l = C(!0);
    return {
      ns: e,
      collapseChange: o,
      isBlank: d,
      collapseMenus: r,
      openView: g,
      srfusername: i,
      srforgsectorname: p,
      clickOut: c,
      isShowOpt: l,
      changeShowOpt: () => {
        l.value = !l.value;
      }
    };
  },
  render() {
    return this.isComplete ? a("i-layout", {
      class: [this.ns.b(), this.isBlank ? this.ns.m("blank") : "", this.ns.is("collapse", this.collapseChange), this.ns.is("tab", this.isShowTabPageExp)]
    }, [a("i-sider", {
      attrs: {
        "hide-trigger": !0,
        value: this.collapseChange
      },
      class: [this.ns.b("nav"), this.ns.is("collapse", this.collapseChange)]
    }, [Le(this.ns, this.model), a("div", {
      class: this.ns.b("option")
    }, [a("i-poptip", {
      attrs: {
        trigger: "hover",
        transfer: !0,
        "popper-class": "opt-box",
        placement: "bottom-end"
      },
      scopedSlots: {
        default: () => a("div", {
          class: this.ns.be("option", "top")
        }, [a("img", {
          class: "head",
          attrs: {
            src: E.dir("/assets/img/head.svg")
          }
        }), a("div", {
          class: "user"
        }, [a("div", {
          class: "username"
        }, [this.srfusername]), a("div", {
          class: "orgname"
        }, [this.srforgsectorname])]), a("img", {
          class: "down",
          attrs: {
            src: E.dir("/assets/img/down.svg")
          }
        })]),
        content: () => a("div", {
          class: "opts"
        }, [a("div", {
          on: {
            click: this.clickOut
          }
        }, [a("img", {
          class: "lr",
          attrs: {
            src: E.dir("/assets/img/lr.svg")
          }
        }), "\u5207\u6362\u89D2\u8272"]), a("div", {
          class: "logout",
          on: {
            click: this.clickOut
          }
        }, [a("i", {
          class: "ivu-icon ivu-icon-ios-log-out"
        }), "\u9000\u51FA\u767B\u9646"])])
      }
    }), a("div", {
      class: [this.ns.be("option", "bottom")]
    }, [a("i-tooltip", {
      attrs: {
        content: "\u8BBE\u5907\u79BB\u7EBF\u544A\u8B66",
        placement: "bottom",
        theme: "light"
      }
    }, [a("img", {
      class: "gj",
      attrs: {
        src: E.dir("/assets/img/gj.svg")
      },
      on: {
        click: () => this.openView()
      }
    })])])]), this.$slots.menu, a("div", {
      class: this.ns.be("slider", "collapse-icon")
    }, [this.collapseChange ? a("ion-icon", {
      attrs: {
        src: "./assets/img/menu-unfold.svg"
      },
      on: {
        click: () => this.collapseMenus()
      }
    }) : a("ion-icon", {
      attrs: {
        src: "./assets/img/menu-fold.svg"
      },
      on: {
        click: () => this.collapseMenus()
      }
    })])]), a("i-layout", {
      class: [this.ns.b("content")]
    }, [a("i-content", {
      class: this.ns.be("content", "main")
    }, [this.$slots.tabPageExp, this.$slots.default])])]) : null;
  }
});
class W extends ge {
  constructor() {
    super(...arguments);
    v(this, "options", []);
    v(this, "kqrq", "");
    v(this, "rylx", "");
  }
  async onInit() {
    await super.onInit(), this.options = await ibiz.codeListService.get(
      "UsrCodeList0402031972",
      this.context,
      this.params
    ), this.context.srforgcode && (this.params.orgcode = this.context.srforgcode), this.kqrq = j().subtract(1, "day").startOf("day").format("YYYY-MM-DD"), this.rylx = this.options.map((s) => s.value).join(","), this.changeViewParams();
  }
  changeViewParams() {
    this.dashboard.setContextOrParams(
      void 0,
      {
        ...this.params,
        kqrq: this.kqrq || null,
        rylx: this.rylx || null
      },
      !0
    );
  }
}
const je = D({
  name: "PortletSearchHeader",
  props: {
    modelData: {
      type: he,
      required: !0
    },
    controller: {
      type: W,
      required: !0
    }
  },
  setup(t) {
    const n = S("portal-search-header"), s = C([]), e = C(new Date()), o = (i) => {
      s.value = i, t.controller.rylx = i.join(","), t.controller.changeViewParams();
    }, r = (i) => {
      e.value = i, t.controller.kqrq = i ? j(i).format("YYYY-MM-DD") : "", t.controller.changeViewParams();
    };
    e.value = new Date(t.controller.kqrq), s.value = t.controller.rylx.split(",");
    const d = j();
    return {
      ns: n,
      selectArray: s,
      selectDate: e,
      options: {
        disabledDate: (i) => {
          const p = j(i);
          return d.isSame(p, "day") || d.isBefore(p, "day");
        }
      },
      onSelectArrayChange: o,
      onDateChange: r
    };
  },
  render() {
    const t = [this.ns.b(), this.ns.m(this.modelData.modelClass)];
    return a("portlet-layout", {
      attrs: {
        controller: this.controller
      },
      class: t
    }, [a("i-checkbox-group", {
      class: this.ns.e("rylx-checkbox"),
      attrs: {
        value: this.selectArray
      },
      on: {
        "on-change": this.onSelectArrayChange
      }
    }, [this.controller.options.map((n) => a("i-checkbox", {
      attrs: {
        label: n.value
      }
    }, [n.text]))]), a("i-CalendarPicker", {
      class: this.ns.e("date-picker"),
      attrs: {
        type: "date",
        value: this.selectDate,
        clearable: !1,
        placement: "bottom-end",
        options: this.options
      },
      on: {
        "on-change": this.onDateChange
      }
    })]);
  }
});
class Ae {
  constructor() {
    v(this, "component", je);
  }
  async createController(n, s, e) {
    const o = new W(
      n,
      s,
      e
    );
    return await o.init(), o;
  }
}
class Y extends ye {
  constructor() {
    super(...arguments);
    v(this, "data", {});
    v(this, "mapData", []);
    v(this, "pointData", []);
    v(this, "form");
    v(this, "hasLoad", !1);
    v(this, "isloading", !1);
    v(this, "entityService");
    v(this, "pointClicked", !1);
  }
  async onInit() {
    await super.onInit(), await this.model.embedView.init();
    const s = this.model.embedView.form;
    this.entityService = await ibiz.entityService.getService(
      s.appEntity.codeName,
      this.context
    ), this.form = new ve(s, this.context, {
      ...this.params
    }), await this.form.init(), this.dashboard.nerve.self.evt.on("mounted", () => {
      this.load();
    });
  }
  calcPercent(s, e, o = 1) {
    return s ? parseFloat((s * 100 / e).toFixed(o)) : 0;
  }
  calcViewParams() {
    super.calcViewParams(), this.dashboard.complete && (this.form.setContextOrParams(void 0, this.params, !0), this.load());
  }
  async load() {
    this.isloading = !0, this.data = await this.form.load(), this.data.zcrs = this.data.zcrs || 0, this.data.ycrs = this.data.ycrs || 0, this.data.qjrs = this.data.qjrs || 0, this.data.xjrs = this.data.xjrs || 0, this.data.zcl = this.calcPercent(this.data.zcrs, this.data.yzrs), this.data.ycl = this.calcPercent(this.data.ycrs, this.data.yzrs), this.data.qjl = this.calcPercent(this.data.qjrs, this.data.yzrs), this.data.xjl = this.calcPercent(this.data.xjrs, this.data.yzrs), await this.loadMapData(), this.hasLoad = !0, this.isloading = !1;
  }
  async loadMapData() {
    const e = (await this.entityService.exec(
      "FetchMapData",
      this.context,
      this.params
    )).data.map((r) => ({
      name: r.orgcode,
      value: this.calcPercent(Number(r.zcl), 1, 2),
      title: r.orgname,
      zcl: `${this.calcPercent(Number(r.zcl), 1, 2)}%`,
      zcrs: r.zcrs,
      jd: r.jd,
      wd: r.wd
    })), o = e.findIndex(
      (r) => r.name === this.params.orgcode
    );
    o !== -1 && (this.pointData = e.splice(o, 1)), this.mapData = e.length === 0 ? this.pointData : e;
  }
  onMapChange(s) {
    const e = `${s}`;
    this.mapData = [], this.pointData = [], this.dashboard.setContextOrParams(
      void 0,
      {
        ...this.params,
        orgcode: e,
        tjfw: void 0
      },
      !0
    );
  }
  onPointClick(s) {
    console.log("pointClick"), this.pointClicked = !0, this.dashboard.setContextOrParams(
      void 0,
      {
        ...this.params,
        tjfw: "20"
      },
      !0
    );
  }
  goBackFrominstitution() {
    this.pointClicked = !1, this.dashboard.setContextOrParams(
      void 0,
      {
        ...this.params,
        tjfw: void 0
      },
      !0
    );
  }
}
const O = D({
  name: "RingChart",
  props: {
    percent: {
      type: Number,
      required: !0
    },
    text: {
      type: String,
      required: !0
    },
    colors: {
      type: Array,
      default: () => ["#ff0700", "#ff5900", "#ff8300", "#ffa700", "#ffc800", "#ffc02f", "#ffb946", "#ffb358", "#ff9482", "#ff87ba", "#d391e9", "#73a0fa"]
    }
  },
  setup(t) {
    const n = S("ring-chart"), s = C();
    let e;
    const o = A(() => {
      const p = 100 / t.colors.length, h = Math.round(t.percent / p);
      return t.colors[h];
    }), r = () => ({
      tooltip: {
        trigger: "item"
      },
      series: [{
        name: "Access From",
        type: "pie",
        radius: ["56%", "70%"],
        center: ["50%", "70%"],
        startAngle: 180,
        avoidLabelOverlap: !1,
        hoverAnimation: !1,
        selectedOffset: 0,
        tooltip: {
          show: !1
        },
        emphasis: {
          disabled: !0
        },
        label: {
          show: !1,
          position: "center",
          formatter(p) {
            return [`{a|${`${p.percent * 2}%`}}`, `{b|${t.text}}`].join(`
`);
          },
          rich: {
            a: {
              color: "#333333",
              fontWeight: "bold",
              fontSize: 24
            },
            b: {
              color: "#666666",
              fontSize: 14,
              padding: [16, 0, 3, 0]
            }
          }
        },
        data: [{
          value: t.percent,
          itemStyle: {
            color: o.value
          },
          label: {
            show: !0
          }
        }, {
          value: 100 - t.percent,
          itemStyle: {
            color: "#EBF4FF"
          }
        }, {
          value: 100,
          itemStyle: {
            color: "none"
          }
        }]
      }]
    });
    z(() => {
      e = H(s.value), e.setOption(r());
    });
    const {
      percent: d,
      colors: g,
      text: i
    } = F(t);
    return M([d, g, i], () => {
      e && (e.setOption(r()), e.resize());
    }), window.addEventListener("resize", () => {
      e == null || e.resize();
    }), {
      ns: n,
      chartRef: s
    };
  },
  render() {
    return a("div", {
      class: this.ns.b(),
      ref: "chartRef"
    });
  }
}), Ke = ["#FF0700", "#FFF400", "#73A0FA"], Ne = {
  strMapCode: !0,
  visualMap: {
    text: ["\u9AD8", "\u4F4E"],
    min: 0,
    max: 100,
    rangeColor: Ke
  },
  pointSymbol: "pin"
}, $e = "/assets/json/map/jiangsu/{id}.json";
async function Re(t) {
  return (await ibiz.net.axios({
    url: E.dir($e.replace("{id}", t))
  })).data;
}
function Fe(t, n) {
  const s = /* @__PURE__ */ new Map(), e = C(""), o = C([]);
  let r;
  const d = C(), g = (l) => {
    const m = {
      cityNames: {},
      noChild: l.features.length === 1
    };
    return l.features.forEach((y) => {
      const { adcode: f, name: b } = y.properties;
      m.cityNames[f] = b;
    }), m;
  }, i = async (l) => {
    if (s.has(l))
      return;
    const m = await Re(l);
    s.set(l, g(m)), ke(l, m);
  }, p = (l) => {
    const m = s.get(e.value);
    if (m)
      return m.cityNames[l];
  }, h = () => {
    const l = t(e.value);
    r.setOption(l), r.resize();
  }, u = async (l, m = !1) => {
    m || n("mapChange", { name: l }), s.has(l) || await i(l), e.value = l, o.value.push(l), h();
  }, c = () => {
    if (o.value.length > 1) {
      o.value.pop();
      const l = o.value.pop();
      u(l);
    }
  };
  return z(() => {
    r = H(d.value), window.addEventListener("resize", () => {
      r == null || r.resize();
    }), r.on("click", (l) => {
      if (l.componentType === "series" && l.seriesType === "scatter") {
        n("pointClick", l.data);
        return;
      }
      l.name !== e.value && u(l.name);
    }), r.on("mouseover", function(l) {
      if (l.componentType === "series" && l.seriesType === "scatter") {
        const m = l.dataIndex, y = r.getOption(), f = y.series[l.seriesIndex].data, b = y.series[l.seriesIndex].symbolSize;
        f[m].symbolSize = b + 10, r.setOption(y);
      }
    }), r.on("mouseout", function(l) {
      if (l.componentType === "series" && l.seriesType === "scatter") {
        const m = l.dataIndex, y = r.getOption(), f = y.series[l.seriesIndex].data;
        delete f[m].symbolSize, r.setOption(y);
      }
    });
  }), {
    chartRef: d,
    historyNames: o,
    currenName: e,
    changeMap: u,
    getCityName: p,
    goBack: c,
    refresh: h
  };
}
const Be = D({
  name: "MapChart",
  props: {
    mapData: {
      type: Array,
      required: !0
    },
    pointData: {
      type: Array
    },
    options: {
      type: Object,
      default: () => ({})
    },
    defaultMapName: {
      type: String,
      required: !0
    }
  },
  setup(t, {
    emit: n
  }) {
    const s = S("map-chart"), e = A(() => we(Ne, t.options)), {
      chartRef: o,
      historyNames: r,
      changeMap: d,
      getCityName: g,
      goBack: i,
      refresh: p
    } = Fe((c) => {
      const {
        visualMap: l,
        pointSymbol: m
      } = e.value, y = {
        geo: {
          map: c
        },
        tooltip: {
          trigger: "item",
          textStyle: {
            color: "#fff",
            fontSize: 12
          },
          backgroundColor: "rgba(0, 0, 0, 0.47)",
          borderWidth: 0,
          extraCssText: "backdrop-filter: blur(3px);"
        },
        visualMap: {
          min: l.min,
          max: l.max,
          text: l.text,
          realtime: !1,
          hoverLink: !1,
          inRange: {
            color: l.rangeColor
          }
        },
        series: [
          {
            type: "map",
            map: c,
            nameProperty: e.value.strMapCode ? "adcodeStr" : "adcode",
            tooltip: {
              formatter: (f) => {
                const b = g(f.name), T = t.mapData.find((q) => q.name == f.name);
                if (!!T)
                  return `
                      <div style='display:flex;justify-content: space-between;'>
                        <span>${b}</span>
                        <span>${T.zcrs}</span>
                      </div>
                      <div style='display:flex;justify-content: space-between;'>
                        <span>\u6B63\u5E38\u7387\uFF1A</span>
                        <span>${T.zcl}</span>
                      </div>
                    `;
              }
            },
            label: {
              show: !0,
              color: "#000000",
              fontSize: 11,
              formatter: (f) => g(f.name)
            },
            select: {
              disabled: !0
            },
            data: t.mapData.map((f) => ({
              name: f.name,
              value: f.value
            }))
          }
        ]
      };
      return t.pointData && y.series.push({
        type: "scatter",
        coordinateSystem: "geo",
        symbol: m,
        symbolSize: 20,
        visualMap: !1,
        itemStyle: {
          color: "#FF1D00"
        },
        label: {
          show: !0,
          color: "#000000",
          fontSize: 10,
          textShadowBlur: 0,
          formatter: (f) => f.data.title,
          position: "left",
          offset: [10, -15]
        },
        tooltip: {
          formatter: (f) => {
            const b = f.data;
            return `
                    <div style='display:flex;justify-content: space-between;'>
                      <span>${b.title}</span>
                      <span>${b.zcrs}</span>
                    </div>
                    <div style='display:flex;justify-content: space-between;'>
                      <span>\u6B63\u5E38\u7387\uFF1A</span>
                      <span>${b.zcl}</span>
                    </div>
                  `;
          }
        },
        data: t.pointData.map((f) => ({
          ...f,
          value: [Number(f.jd), Number(f.wd)],
          visualMap: !1
        }))
      }), y;
    }, (c, l) => {
      c === "mapChange" ? n("mapChange", l.name) : n(c, l);
    });
    z(() => {
      d(t.defaultMapName, !0);
    });
    const {
      mapData: h,
      pointData: u
    } = F(t);
    return M([h, u], () => {
      p();
    }), {
      ns: s,
      chartRef: o,
      historyNames: r,
      goBack: i
    };
  },
  render() {
    return a("div", {
      class: this.ns.b()
    }, [a("div", {
      class: this.ns.e("chart"),
      ref: "chartRef"
    }), this.historyNames.length > 1 && a("div", {
      class: this.ns.e("goback"),
      on: {
        click: () => {
          this.goBack();
        }
      }
    }, ["\u8FD4\u56DE"])]);
  }
}), Ue = `image://${E.dir("/assets/img/fiveStars.png")}`, He = D({
  name: "PortalMapArea",
  props: {
    modelData: {
      type: me,
      required: !0
    },
    controller: {
      type: Y,
      required: !0
    }
  },
  setup(t) {
    const n = Z(t.controller), s = S("portal-map-area");
    return {
      c: n,
      ns: s
    };
  },
  render() {
    if (!this.c.hasLoad)
      return;
    const t = [this.ns.b(), this.ns.m(this.modelData.modelClass)];
    return a("portlet-layout", {
      attrs: {
        controller: this.controller
      },
      class: t
    }, [this.c.isloading ? a("i-spin", {
      attrs: {
        size: "large",
        fix: !0
      }
    }) : null, a("div", {
      class: this.ns.e("left")
    }, [a(O, {
      attrs: {
        percent: this.c.data.zcl,
        text: `\u6B63\u5E38\u6570 ${this.c.data.zcrs}`
      }
    }), a(O, {
      attrs: {
        percent: this.c.data.ycl,
        text: `\u5F02\u5E38\u6570 ${this.c.data.ycrs}`
      }
    })]), a("div", {
      class: this.ns.e("center")
    }, [a("div", {
      class: this.ns.e("title")
    }, [`${this.c.data.orgname} \u2014 ${this.c.data.yzrs}\u4EBA`]), a(Be, {
      class: this.ns.e("map"),
      attrs: {
        mapData: this.c.mapData,
        pointData: this.c.pointData,
        defaultMapName: this.c.params.orgcode,
        options: {
          pointSymbol: Ue
        }
      },
      on: {
        mapChange: (n) => {
          this.c.onMapChange(n);
        },
        pointClick: (n) => {
          this.c.onPointClick(n);
        }
      }
    }), this.c.pointClicked && a("div", {
      class: this.ns.e("goback"),
      on: {
        click: () => {
          this.c.goBackFrominstitution();
        }
      }
    }, ["\u8FD4\u56DE"])]), a("div", {
      class: this.ns.e("right")
    }, [a(O, {
      attrs: {
        percent: this.c.data.qjl,
        text: `\u8BF7\u5047\u4EBA\u6570 ${this.c.data.qjrs}`
      }
    }), a(O, {
      attrs: {
        percent: this.c.data.xjl,
        text: `\u4F11\u5047\u4EBA\u6570 ${this.c.data.xjrs}`
      }
    })])]);
  }
});
class We {
  constructor() {
    v(this, "component", He);
  }
  async createController(n, s, e) {
    const o = new Y(
      n,
      s,
      e
    );
    return await o.init(), o;
  }
}
class Ye extends xe {
  constructor() {
    super(...arguments);
    v(this, "unit", "");
    v(this, "isPercent", !1);
    v(this, "maxNum", 0);
  }
  async onInit() {
    var s;
    await super.onInit(), (s = this.model.source.getPSDEListDataItems()) == null || s.forEach((e) => {
      e.name === "unit" && (this.unit = e.format), e.name === "percent" && (this.isPercent = !0);
    });
  }
  async afterLoad(s) {
    return super.afterLoad(s), this.maxNum = 0, this.items.forEach((e) => {
      this.isPercent ? (e.num = (parseFloat(e.num) * 100).toFixed(2), e.num === "0.00" && (e.num = "0"), e.percent = Number(e.num)) : e.num > this.maxNum && (this.maxNum = e.num);
    }), this.isPercent || this.items.forEach((e) => {
      e.percent = this.maxNum ? e.num * 100 / this.maxNum : 0;
    }), s;
  }
}
function Je(t, n, s, e = {}) {
  return ae(t, () => {
    const o = new Ye(n, s, e);
    return ne(t, "mdCtrlActiveMode", o.setMdCtrlActiveMode.bind(o)), o;
  });
}
function Ge(t) {
  return { handleClick: (e) => {
    const o = t.selectedData.findIndex((r) => e.srfkey === r.srfkey);
    if (t.singleSelect)
      o === -1 ? t.onSelectionChange([e]) : t.onSelectionChange([]);
    else {
      const r = t.selectedData;
      o === -1 ? r.push(e) : r.splice(o, 1), t.onSelectionChange(r);
    }
    t.handleClick(e);
  }, handleDblClick: (e) => {
    t.handleDblClick(e);
  } };
}
const Qe = D({
  name: "KqqkListControl",
  props: {
    modelData: {
      type: U,
      required: !0
    },
    context: {
      type: Object,
      required: !0
    },
    params: {
      type: Object,
      default: () => ({})
    },
    mdCtrlActiveMode: {
      type: Number,
      default: 2
    },
    isSelectFirstDefault: {
      type: Boolean,
      required: !1
    },
    defaultSelectKeys: {
      type: Array,
      required: !1
    }
  },
  setup(t) {
    const {
      proxy: n
    } = V(), s = S("kqqk-list"), e = Je(n, t.modelData, t.context, t.params), {
      handleClick: o,
      handleDblClick: r
    } = Ge(e), d = (i, p) => {
      const h = e.selectedData.findIndex((c) => c.srfkey === i.srfkey), u = [s.b("item"), s.is("active", h !== -1)];
      return a("div", {
        class: u,
        key: i.srfkey + p,
        on: {
          click: () => o(i),
          dblclick: () => r(i)
        }
      }, [a("span", {
        class: s.be("item", "title")
      }, [i.title]), a("div", {
        class: s.be("item", "progress")
      }, [a("span", {
        style: `width:${i.percent}%;`,
        class: s.be("item", "progress-bar")
      }), a("span", {
        class: s.be("item", "progress-text")
      }, [i.num, e.unit])])]);
    };
    return {
      c: e,
      ns: s,
      renderListContent: () => e.items.map((i, p) => d(i, p))
    };
  },
  render() {
    return a("control-layout", {
      class: this.ns.b(),
      attrs: {
        modelData: this.c.model
      }
    }, [this.c.complete && [this.renderListContent()]]);
  }
});
class Xe {
  constructor() {
    v(this, "component", Qe);
  }
}
function Ze(t) {
  return { handleClick: (e) => {
    const o = t.selectedData.findIndex((r) => e.srfkey === r.srfkey);
    if (t.singleSelect)
      o === -1 ? t.onSelectionChange([e]) : t.onSelectionChange([]);
    else {
      const r = t.selectedData;
      o === -1 ? r.push(e) : r.splice(o, 1), t.onSelectionChange(r);
    }
    t.handleClick(e);
  }, handleDblClick: (e) => {
    t.handleDblClick(e);
  } };
}
const K = D({
  name: "ListExpControl",
  props: {
    modelData: {
      type: U,
      required: !0
    },
    context: {
      type: Object,
      required: !0
    },
    params: {
      type: Object,
      default: () => ({})
    },
    mdCtrlActiveMode: {
      type: Number,
      default: 2
    },
    isSelectFirstDefault: {
      type: Boolean,
      required: !0
    },
    defaultSelectKeys: {
      type: Array,
      required: !1
    },
    isExpView: {
      type: Boolean,
      required: !1
    }
  },
  setup(t) {
    const {
      proxy: n
    } = V(), s = S("control-list"), e = re(n, t.modelData, t.context, t.params), {
      handleClick: o,
      handleDblClick: r
    } = Ze(e);
    let d = !0;
    z(() => {
      M(() => e, (c, l) => {
        if (t.isExpView && c && c !== l) {
          let m = e.items[0];
          if (t.defaultSelectKeys && t.defaultSelectKeys.length > 0) {
            const y = e.items.find((f) => f.srfkey === t.defaultSelectKeys[0]);
            y && (m = y);
          }
          m && e.onSelectionChange([m]);
        }
      }, {
        immediate: !0
      }), M(() => e.items.length, (c) => {
        t.isExpView && c && e.onSelectionChange([e.items[0]]);
      }, {
        immediate: !0,
        deep: !0
      });
    });
    const g = (c) => {
      e.selectedData.length === 0 && (e.selectedData = [{
        srfkey: e.items[0].srfkey
      }]);
      const l = e.selectedData.findIndex((f) => f.srfkey === c.srfkey), m = () => {
        d = !1, delete e.context.n_orgid_eq, e.context.calendarcaption = c.deptname, o(c);
      }, y = [s.b("item"), s.is("active", l !== -1 && d === !1)];
      return a("div", {
        class: y,
        on: {
          click: () => m(),
          dblclick: () => r(c)
        }
      }, [e.layoutPanelProvider ? a(e.layoutPanelProvider.component, {
        props: {
          modelData: e.model,
          context: e.context,
          params: e.params,
          inputData: c
        }
      }) : `${c.deptname}`]);
    }, i = () => e.model.source.enableGroup ? a("el-collapse") : e.items.map((c) => g(c)), p = () => Object.is(e.total, e.items.length) ? null : a("div", {
      class: s.e("no-data")
    }, [a("div", ["\u6682\u65E0\u6570\u636E"])]), h = (c) => {
      d = !0, Object.assign(e.context, {
        n_orgid_eq: e.params.n_orgid_eq
      }), e.context.calendarcaption = c.deptname, o(c);
    }, u = () => {
      const c = [s.b("item"), s.is("active", d === !0)];
      return e.items.length > 0 ? a("div", {
        class: c,
        on: {
          click: () => h({
            deptid: e.params.n_orgid_eq,
            orgid: e.params.n_orgid_eq,
            srfkey: e.params.n_orgid_eq,
            deptname: e.context.selectedDeptName,
            sysdepartment: void 0
          })
        }
      }, ["\u5168\u90E8"]) : null;
    };
    return $(() => {
      d && (h({
        deptid: e.params.n_orgid_eq,
        orgid: e.params.n_orgid_eq,
        srfkey: e.params.n_orgid_eq,
        deptname: e.context.selectedDeptName,
        sysdepartment: void 0
      }), e.selectedData.length = 0);
    }), M(() => e.items, () => {
      $(() => {
        d = !0, Object.assign(e.context, {
          n_orgid_eq: e.params.n_orgid_eq
        }), h({
          deptid: e.params.n_orgid_eq,
          orgid: e.params.n_orgid_eq,
          srfkey: e.params.n_orgid_eq,
          deptname: e.context.selectedDeptName,
          sysdepartment: void 0
        }), e.selectedData.length = 0;
      });
    }, {
      immediate: !0,
      deep: !0
    }), {
      c: e,
      ns: s,
      renderListContent: i,
      renderLoadMore: p,
      renderAll: u,
      renderAllClick: h,
      isSelectAll: d
    };
  },
  render() {
    return a("control-layout", {
      class: [this.ns.b()],
      attrs: {
        modelData: this.c.model
      }
    }, [this.c.complete && [this.renderAll(), this.renderListContent(), this.renderLoadMore()]]);
  }
});
const et = D({
  name: "ListExpSelectTreeView",
  components: {
    Treeselect: Pe,
    ListExpControl: K
  },
  props: {
    context: Object,
    params: {
      type: Object
    },
    srfnav: String,
    modelPath: {
      type: String,
      required: !0
    },
    modal: {
      type: Object
    }
  },
  setup(t) {
    const {
      proxy: n
    } = V(), s = oe(n, t.modelPath), e = C(""), o = C([]), r = S("list-exp-select-tree");
    s.context.isRouter === !0 && s.nerve.self.evt.on("created", () => {
      t.srfnav && (s.navItem.key = t.srfnav, o.value = [t.srfnav]), ie(ee(s.navItem, "key"), n, e);
    });
    const d = [`${s.context.srforgid}`];
    s.context.srforgid && (s.context.selectedDeptName = s.context.srforgname, Object.assign(s.params, {
      n_orgid_eq: s.context.srforgid
    }));
    const g = (u) => ({
      id: u.id,
      label: u.text,
      children: u.children
    }), i = (u) => {
      s.context.selectedDeptName = u.text, Object.assign(s.params, {
        n_orgid_eq: u.value
      }), s.nerve.list.call.load();
    }, p = C(!1);
    return {
      c: s,
      defaultSelectKeys: o,
      routeViewKey: e,
      normalizer: g,
      select: i,
      dataItems: [],
      isLoadCodeList: p,
      value: d,
      ns: r
    };
  },
  render() {
    if (this.c.complete) {
      const t = this.c.context.isRouter === !0, {
        listExpBar: n
      } = this.c.model, {
        list: s
      } = n, e = this.c.model.codeName;
      if (this.dataItems.length === 0 && e === "SysDepartmentKqAYTJListExp1View") {
        const {
          codeName: o
        } = this.c.model.source.getQuickGroupPSCodeList();
        (async (d) => {
          this.dataItems = await ibiz.codeListService.get(d, this.c.context, {
            size: 1e3
          }), this.isLoadCodeList = !0;
        })(o);
      }
      return a("exp-view-base", {
        class: [this.ns.b()],
        attrs: {
          controller: this.c,
          expBarModel: this.c.model.listExpBar
        },
        scopedSlots: {
          default: () => a(K, {
            attrs: {
              modelData: s,
              context: this.c.context,
              params: this.c.params,
              isExpView: !0,
              isSelectFirstDefault: !1,
              mdCtrlActiveMode: 1,
              defaultSelectKeys: this.defaultSelectKeys
            },
            on: {
              neuronInit: this.c.nerve.onNeuronInit(s.name)
            }
          }),
          searchForm: () => this.isLoadCodeList && e === "SysDepartmentKqAYTJListExp1View" ? a("div", {
            class: "ibiz-selectTree"
          }, [a("treeselect", {
            attrs: {
              value: this.value,
              options: this.dataItems,
              normalizer: this.normalizer,
              clearable: !1,
              "default-expand-level": 1
            },
            on: {
              select: this.select
            }
          })]) : e === "SysDepartmentkqBmtjListExpView" ? a("div", {
            class: "ibiz-bmtj"
          }, [a("div", {
            class: "ibiz-bmyj-content"
          }, [this.c.context.srforgname])]) : null,
          expView: () => s.navView ? t ? this.routeViewKey ? a("router-view", {
            key: this.routeViewKey
          }) : null : a("ViewShell", {
            attrs: {
              context: this.c.navItem.context,
              params: this.c.navItem.params,
              modal: {
                mode: X.EMBED
              },
              modelPath: s.navView.source.modelPath
            },
            key: this.c.navItem.key
          }) : null
        }
      });
    }
    return null;
  }
});
class tt {
  constructor() {
    v(this, "component", "ListExpSelectTreeView");
  }
}
class st {
  constructor() {
    v(this, "component", "BYQKEditView");
  }
}
class at {
  constructor() {
    v(this, "formEditor", "KqBase64ImageUpload");
    v(this, "gridEditor", "IBizGridFileUpload");
  }
  async createController(n, s) {
    const e = new Ce(n, s);
    return await e.init(), e;
  }
}
const nt = D({
  name: "KqBase64ImageUpload",
  props: le(),
  emits: ce(),
  setup(t) {
    var r, d, g;
    const n = S("kq-base64-image-upload"), s = ((r = t.controller.model) == null ? void 0 : r.width) || "auto", e = ((d = t.controller.model) == null ? void 0 : d.height) || "150px", o = ((g = t.controller.editorParams) == null ? void 0 : g["justify-content"]) || "center";
    return () => a("div", {
      class: n.b(),
      style: {
        width: s,
        height: e,
        justifyContent: o
      }
    }, [a("img", {
      attrs: {
        src: t.value
      },
      class: n.e("image")
    })]);
  }
});
class rt {
  constructor() {
    v(this, "component", "KqdwCustomPickupTreeView");
  }
}
const ot = D({
  name: "KqdwCustomPickupTreeView",
  props: {
    context: {
      type: Object,
      required: !0
    },
    params: {
      type: Object
    },
    srfnav: String,
    modelPath: {
      type: String,
      required: !0
    },
    modal: {
      type: Object
    }
  },
  setup(t) {
    const n = S("kqdw-custom-pickup-tree-view"), {
      proxy: s
    } = V(), e = de(s, t.modelPath), o = C(null);
    let r = null;
    const d = C([]), g = C({}), i = C([]), p = C([]), h = C(""), u = C([]), c = async (x) => {
      await r.loadNodes(x), g.value = x, i.value.push(x);
    };
    return M(() => e.complete, async (x, w) => {
      var k;
      if (x !== w && x) {
        await e.model.pickupViewPanel.embedView.init();
        const L = (k = e.model.pickupViewPanel.embedView.source.getPSControls()) == null ? void 0 : k.find((_) => _.controlType === "TREEVIEW");
        L || console.warn("\u672A\u627E\u5230[\u6811(tree)]\u90E8\u4EF6"), o.value = new fe(L), await o.value.init(), r = ue(s, o.value, t.context, t.params), await r.init();
        const P = await r.load();
        if (P.length > 0 && (d.value = P, g.value.children = P, i.value.push({
          text: "\u5F53\u524D\u9662",
          children: P
        })), e.params.selectedData) {
          const _ = JSON.parse(e.params.selectedData);
          _.length > 0 && (p.value = _.map((I) => ({
            srfkey: I.srfkey,
            srfmajortext: I.srfmajortext,
            value: I.srfkey,
            text: I.srfmajortext,
            dxlx: I.dxlx
          })));
        }
      }
    }), {
      ns: n,
      c: e,
      treeDatas: d,
      currentTreeNode: g,
      clickTreeNode: c,
      treeHistory: i,
      isChecked: (x) => p.value.findIndex((k) => k.value === x.value) !== -1,
      selectTreeNodes: p,
      handleSelect: (x) => {
        const w = p.value.findIndex((k) => k.value === x.value);
        w === -1 ? p.value.push(x) : p.value.splice(w, 1);
      },
      clickHistory: (x) => {
        const w = i.value.findIndex((k) => k.value === x.value);
        i.value = i.value.slice(0, w + 1), g.value = x;
      },
      clearAll: () => {
        p.value = [];
      },
      onOkButtonClick: () => {
        const x = p.value.map((w) => {
          var k;
          return {
            srfkey: w.value,
            srfmajortext: w.text,
            dxlx: (k = w.deData) == null ? void 0 : k.dxlx
          };
        });
        e.closeView({
          ok: !0,
          data: x
        });
      },
      query: h,
      queryChange: (x) => {
        x.target && (h.value = x.target.value, Object.assign(e.params, {
          query: h.value
        }));
      },
      search: async () => {
        const x = await (r == null ? void 0 : r.load());
        x && (u.value = x);
      },
      queryTreeNodeList: u
    };
  },
  render() {
    return a("div", {
      class: this.ns.b()
    }, [a("div", {
      class: "top"
    }, [a("div", {
      class: "left"
    }, [a("div", {
      class: "title"
    }, ["\u672A\u9009\u62E9\u7528\u6237"]), a("div", {
      class: "search"
    }, [a("i-input", {
      attrs: {
        value: this.query,
        search: !0,
        placeholder: "\u8BF7\u8F93\u5165"
      },
      on: {
        "on-change": this.queryChange,
        "on-enter": this.search,
        "on-search": this.search
      }
    })]), a("div", {
      class: "cascader"
    }, [a("div", {
      class: "history"
    }, [!this.query && this.treeHistory.length > 0 && this.treeHistory.map((t, n) => a("span", {
      class: "content"
    }, [a("span", {
      on: {
        click: () => this.clickHistory(t)
      }
    }, [t.text]), n < this.treeHistory.length - 1 && a("span", {
      class: "icon"
    }, [">"])]))]), a("div", {
      class: "children"
    }, [this.query ? this.queryTreeNodeList.map((t) => a("div", {
      class: "child",
      key: t.id
    }, [this.isChecked(t) ? a("span", {
      class: "checked",
      on: {
        click: () => {
          this.handleSelect(t);
        }
      }
    }, ["\u221A"]) : a("span", {
      class: "no-checked",
      on: {
        click: () => {
          this.handleSelect(t);
        }
      }
    }), a("span", {
      class: "text"
    }, [t.text])])) : this.currentTreeNode && this.currentTreeNode.children && this.currentTreeNode.children.map((t) => a("div", {
      class: "child",
      key: t.id
    }, [this.isChecked(t) ? a("span", {
      class: "checked",
      on: {
        click: () => {
          this.handleSelect(t);
        }
      }
    }, ["\u221A"]) : a("span", {
      class: "no-checked",
      on: {
        click: () => {
          this.handleSelect(t);
        }
      }
    }), a("span", {
      class: "text",
      on: {
        click: () => this.clickTreeNode(t)
      }
    }, [t.text])]))])])]), a("div", {
      class: "right"
    }, [a("div", {
      class: "title"
    }, [a("span", [" \u5DF2\u9009\u62E9\u7528\u6237"]), " ", a("span", {
      class: "clear",
      on: {
        click: () => this.clearAll()
      }
    }, ["\u5168\u90E8\u6E05\u9664"])]), a("div", {
      class: "list"
    }, [this.selectTreeNodes.map((t) => a("div", {
      class: "node"
    }, [a("span", [t.text]), " ", a("span", {
      class: "remove",
      on: {
        click: () => {
          this.handleSelect(t);
        }
      }
    }, ["x"])]))])])]), a("div", {
      class: "bottom"
    }, [a("i-button", {
      on: {
        click: () => {
          this.onOkButtonClick();
        }
      }
    }, ["\u786E\u5B9A"]), a("i-button", {
      on: {
        click: () => {
          this.c.onCancelButtonClick();
        }
      }
    }, ["\u53D6\u6D88"])])]);
  }
});
class it {
  constructor() {
    v(this, "component", "KqbcFormMDCtrl");
  }
  async createController(n, s, e) {
    const o = new be(n, s, e);
    return await o.init(), o;
  }
}
const lt = D({
  name: "UserTabPageExp",
  props: {
    routeMsgs: {
      type: Array,
      required: !0
    },
    currentKey: {
      type: String,
      required: !0
    }
  },
  emits: ["tab-delete", "tab-click", "close-all", "close-other"],
  setup(t, {
    emit: n
  }) {
    const s = S("user-tab-page-exp"), e = C("0"), o = [{
      text: "\u5173\u95ED\u6240\u6709",
      value: "closeAll"
    }, {
      text: "\u5173\u95ED\u5176\u4ED6",
      value: "closeOther"
    }];
    return M(() => t.currentKey, (i, p) => {
      const h = t.routeMsgs.findIndex((u) => u.key === i);
      h !== -1 && (e.value = `${h}`);
    }), {
      ns: s,
      tabsValue: e,
      actions: o,
      changePage: (i) => {
        e.value = i, n("tab-click", +i);
      },
      onClose: (i) => {
        n("tab-delete", +i);
      },
      handleCommand: (i) => {
        i === "closeAll" ? n("close-all") : i === "closeOther" && n("close-other");
      }
    };
  },
  render() {
    var t;
    return a("div", {
      class: this.ns.b()
    }, [a("div", {
      class: this.ns.e("left")
    }, [a("i-tabs", {
      attrs: {
        type: "card",
        closable: !0
      },
      on: {
        "on-click": this.changePage,
        "on-tab-remove": this.onClose
      },
      model: {
        value: this.tabsValue,
        callback: (n) => {
          this.tabsValue = n;
        }
      }
    }, [(t = this.routeMsgs) == null ? void 0 : t.map((n, s) => a("i-tab-pane", {
      key: n.key,
      attrs: {
        name: `${s}`,
        label: n.caption
      }
    }))])])]);
  }
}), Ct = {
  mateUrl: import.meta.url,
  install(t) {
    t.component("UserTabPageExp", lt), t.component("UserIndexView", ze), t.component("UserAppLayout", Oe), t.component("ListExpSelectTreeView", et), t.component("ListExpControl", K), t.component(
      "BYQKEditView",
      () => import("./byqk-edit-view.fea98c06.js")
    ), t.component(
      "KqbcFormMDCtrl",
      () => import("./kqbc-form-mdctrl.b92c2279.js")
    ), ibiz.register.view.register(
      "VIEW_CUSTOM_JskqIndexView",
      new De()
    ), ibiz.register.view.register(
      "VIEW_CUSTOM_ListExpSelectTreeView",
      new tt()
    ), E.loadStyle(["/style.css"]), ibiz.register.portletPart.register(
      "PORTLET_CUSTOM_JskqWebPortalSearchHeader",
      new Ae()
    ), ibiz.register.portletPart.register(
      "PORTLET_CUSTOM_jskqWebPortalMapArea",
      new We()
    ), ibiz.register.control.register(
      "LIST_RENDER_JskqWebKqqkList",
      new Xe()
    ), ibiz.register.view.register(
      "VIEW_CUSTOM_ByqkCustomEditView",
      new st()
    ), t.component("KqBase64ImageUpload", nt), ibiz.register.editor.register(
      "PICTURE_ONE_Base64ImageUpload",
      new at()
    ), t.component("KqdwCustomPickupTreeView", ot), ibiz.register.view.register(
      "VIEW_CUSTOM_KqdwCustomPickupTreeView",
      new rt()
    ), ibiz.register.formDetail.register("MDCTRL", new it());
  }
};
export {
  Ct as default
};
